Tryton - Issues

 

Issue8441

Title css hover style for attachment "Add..." menu item does not work
Priority bug Status resolved
Superseder Nosy List dave, reviewbot, roundup-bot
Type behavior Components sao
Assigned To dave Keywords review
Reviews 265591002
View: 265591002

Created on 2019-06-18.23:19:04 by dave, last changed by roundup-bot.

Messages
New changeset d8cc31adaaae by C├ędric Krier in branch 'default':
Add hover style to input-file list item
https://hg.tryton.org/tryton-env/rev/d8cc31adaaae
New changeset 2df3f46934df by David Harper in branch 'default':
Add hover style to input-file list item
https://hg.tryton.org/sao/rev/2df3f46934df
review265591002 updated at https://codereview.tryton.org/265591002/#ps265611002
review265591002 updated at https://codereview.tryton.org/265591002/#ps265601002
New review265591002 at https://codereview.tryton.org/265591002/#ps279641003
review275601002 updated at https://codereview.tryton.org/275601002/#ps251621002
New review275601002 at https://codereview.tryton.org/275601002/#ps251611002
msg50318 (view) Author: [hidden] (dave) Date: 2019-06-18.23:39:37
Adding a hover and focus style to the li.input-file tag appears to make everything work correctly - see review275601002.
msg50317 (view) Author: [hidden] (dave) Date: 2019-06-18.23:24:38
But with the z-index changed the Add... menu item no longer works.
msg50316 (view) Author: [hidden] (dave) Date: 2019-06-18.23:19:04
In Sao, the hover css style does not get applied when hovering over the "Add..." menu item that appears in the attachments dropdown menu.

It works for the "Manage..." menu item as expected.

Tested on Firefox 60.7.

Changing the z-index of the <input> field so it is behind the <a> tag makes it work as expected.
History
Date User Action Args
2019-06-27 14:35:18roundup-botsetmessages: + msg50433
2019-06-27 14:35:15roundup-botsetstatus: testing -> resolved
nosy: + roundup-bot
messages: + msg50432
2019-06-27 13:29:48reviewbotsetmessages: + msg50429
2019-06-26 23:56:33reviewbotsetmessages: + msg50424
2019-06-25 13:47:20reviewbotsetmessages: + msg50380
2019-06-25 13:47:19reviewbotsetreviews: 265591002
2019-06-25 13:40:13davesetreviews: 275601002 -> (no value)
2019-06-19 00:07:14reviewbotsetmessages: + msg50321
2019-06-18 23:46:14reviewbotsetnosy: + reviewbot
messages: + msg50319
2019-06-18 23:46:13reviewbotsetreviews: 275601002
keyword: + review

Showing 10 items. Show all history (warning: this could be VERY long)